Name: openntpd
Version: 3.9p1
Release: alt0.M30.1

%define privuser  ntpd
%define privgroup ntpd
%define privpath  /var/empty

Summary: Network daemon for synchronize local clock to remote NTP servers
License: ISC-style
Group: Networking/Other
Url: http://www.openntpd.org
Packager: Ilya Evseev <evseev@altlinux.ru>

# http://ftp.chg.ru/pub/OpenBSD/OpenNTPD/%name-%version.tar.gz
Source0: ftp://ftp.openbsd.org/pub/OpenBSD/OpenNTPD/%name-%version.tar.bz2
Source1: ntpd.init
Source2: ntpd.control
Source3: ntpd.sysconfig
Patch: openntpd-3.9p1-alt-setproctitle.patch

PreReq: %privpath
Conflicts: ntpd

BuildRequires: setproctitle-devel, libssl-devel

Summary(ru_RU.KOI8-R):      

%description
The ntpd daemon synchronizes the local clock to one or more remote NTP
servers, and can also act as an NTP server itself, redistributing the
local time.  It implements the Simple Network Time Protocol version 4,
as described in RFC 2030, and the Network Time Protocol version 3,
as described in RFC 1305.

Here is a portable implementation of OpenNTPD, small reliable NTP daemon
initially designed as part of OpenBSD.

%description -l ru_RU.KOI8-R
 NTP        
 NTP,        NTP,
 ϣ      .

    NTP-,   
  OpenBSD,  ӣ   
.

%prep
%setup -q
%patch -p1
%__bzip2 -9k ChangeLog

%build
export LIBS='-lsetproctitle'
%configure \
	--with-mantype=doc \
	--with-privsep-user=%privuser \
	--with-privsep-path=%privpath
%make_build

%install
%makeinstall
%__install -pD -m755 %_sourcedir/ntpd.init %buildroot%_initdir/ntpd
%__install -pD -m755 %_sourcedir/ntpd.control %buildroot%_controldir/ntpd
%__install -pD -m640 %_sourcedir/ntpd.sysconfig %buildroot%_sysconfdir/sysconfig/ntpd

%files
%config(noreplace) %attr(640,root,wheel) %_sysconfdir/ntpd.conf
%config(noreplace) %attr(640,root,wheel) %_sysconfdir/sysconfig/ntpd
%config %_initdir/ntpd
%config %_controldir/ntpd
%_sbindir/ntpd
%_mandir/man*/ntpd.*
%doc CREDITS ChangeLog.bz2 LICENCE README

%pre
/usr/sbin/groupadd -r -f %privgroup >/dev/null 2>&1 ||:
/usr/sbin/useradd -r -n -s /dev/null -g %privgroup -d %privpath -c 'OpenNTP daemon' %privuser >/dev/null 2>&1 ||:

%post
%post_service ntpd

%preun
%preun_service ntpd

%changelog
* Mon Sep 11 2006 Alexey Borovskoy <alb@altlinux.ru> 3.9p1-alt0.M30.1
- Backport to Compact 3.0.4.

* Sat Aug 26 2006 Dmitry V. Levin <ldv@altlinux.org> 3.9p1-alt2
- Removed Owl patch (merged upstream).
- Build with arcfour implementation from libcrypto.
- Enabled setproctitle.
- Cleaned up (ab)use of rpm macros.
- Cleaned up %%pre script.
- Renamed source files.
- Packaged manpages in mdoc format.
- Packaged CREDITS, ChangeLog, LICENCE and README files.
- Marked startup and control scripts with %%config flag.
- Marked configuration files with %%config(noreplace) flag.
- %_initdir/ntpd:
  Cleaned up, added check for networking, corrected file permissions.
- %_sysconfdir/sysconfig/ntpd:
  Documented ntpd parameters, corrected file ownership.
- %_controldir/ntpd:
  Added summary, documented facility modes.

* Fri Aug 25 2006 Ilya Evseev <evseev@altlinux.ru> 3.9p1-alt1
- updated to new version 3.9p1, update patch #0, remove #1

* Tue Jan 24 2006 Ilya Evseev <evseev@altlinux.ru> 3.7p1-alt4
- replace segfault patch by the official one
- bugfix 8910: control file was not executable
- bugfix 8911: replace Provides/Obsoletes by 'Conflicts: ntpd'

* Wed Jan 18 2006 Ilya Evseev <evseev@altlinux.ru> 3.7p1-alt3
- added patch that fixes ntpd segfaults in combination with TEQL
  from Bernhard Fischer to owl-devel@ mailing list at 16 January 2006
- added sysconfig file for overriding default settings used by service script
- preinstall script bugfix: useradd was commented wrong, enable it back
- postuninstall message is completely away

* Sun Jan 15 2006 Ilya Evseev <evseev@altlinux.ru> 3.7p1-alt2
- added patch from Owl for selecting chroot directory at build time, not at startup
- fixing of home directory in preinstall script is no more needed
- removed suppression of groupadd output/result in preinstall script
- added control file from Owl
- postuninstall message is skipped when package is upgraded, not removed

* Mon Jan  9 2006 Ilya Evseev <evseev@altlinux.ru> 3.7p1-alt1
- Initial build for ALTLinux

## EOF ##
